/* $Workfile: $   $Revision: $    $Modtime: $  */
/*--------------------------------------------------------------------------*\

  Odin TeleSystems Inc.

  SAA-1007-1 OTX DSP C54x Software Development Kit (SDK)

  Linker Command file for the OTX DSP C54x SDK DspDemo2c5416.out application.

  Targeted for the C5416 DSP. Far mode.

\*--------------------------------------------------------------------------*/

/*********************************\
    .obj files to be linked
\*********************************/
"5416\DspDemo2.obj"
"5416\Dsp54Api.obj"
"5416\Dsp54Laws.obj"

/*********************************\
    Linker options
\*********************************/
-c                             /* C runtime environment init (ROM model) */
-o "5416\DspDemo2c5416.out"    /* output file */
-m "5416\DspDemo2c5416.map"    /* map file    */
-l rts_ext.lib                 /* Run-time Support library */
-l csl5416x.LIB                /* Chip Support library for the 5416 DSP */
-f 0

-stack 0x100
-heap 0x200


/*********************************\
    Memory Configuration
\*********************************/
MEMORY
{
        PAGE 0: VECS    (RWX)  : origin = 0180h, length = 0080h
                PROG    (RWX)  : origin =28000h, length = 4000h
                CINIT   (RWX)  : origin =2C000h, length = 1000h

        PAGE 1: STACK   (RW)   : origin = 0200h, length = 0100h
                HEAP    (RW)   : origin = 0300h, length = 0200h
                HPI     (RW)   : origin = 1000h, length = 1000h
                DATA    (RW)   : origin = 2000h, length = 2000h 
                AUTOBUF (RW)   : origin = 4000h, length = 2000h
}



SECTIONS
{
        .text   : > PROG        PAGE 0
        .switch : > CINIT       PAGE 0
        .cinit  : > CINIT       PAGE 0
        vectors : > VECS        PAGE 0

        .cio    : > DATA        PAGE 1
        .data   : > DATA        PAGE 1
        .bss    : > DATA        PAGE 1
        .const  : > DATA        PAGE 1
        .sysmem : > HEAP        PAGE 1
        .stack  : > STACK       PAGE 1
		.csldata: > DATA        PAGE 1

        tables  : > DATA        PAGE 1
        buffer  : > DATA        PAGE 1
        autobuff: > AUTOBUF     PAGE 1
}


